<?xml version="1.0" encoding="UTF-8"?>
<Wix xmlns="http://schemas.microsoft.com/wix/2006/wi">
	<Product Id="*" 
           Name="DOI Manager Wizard" 
           Language="1033" 
           Version="1.0.1.2" 
           Manufacturer="CIMMYT" 
           UpgradeCode="521d3a3e-9506-4784-88ba-8111b404625e">
    <!--<?define SourcePath = "..\..\..\bin\Release"?>-->
    <?define SourcePath = "..\..\..\bin\Release"?>
		<Package InstallerVersion="200" 
             Compressed="yes" 
             InstallScope="perMachine"
             Comments="DOI Wizard dll Comment"
             Description="DOIS Wizard dll Description"
             Keywords="GRIN-Global, Curator tool, Wizard, DOI"
             Platform="x64"
             />

		<MajorUpgrade DowngradeErrorMessage="A newer version of [ProductName] is already installed." />
		<MediaTemplate EmbedCab="yes" />
<!--    <PropertyRef Id="PROPERTY_GRINGLOBALCURATORTOOLPATH"/>
    <Condition Message="The GRIN-Global-CuratorTool will be installed on this PC">
      <![CDATA[Installed OR PROPERTY_GRINGLOBALCURATORTOOLPATH <> ""]]>
    </Condition>
    -->
    <UIRef Id="UI_installerDir"/>
    <WixVariable Id="WixUILicenseRtf" Value="..\..\license.rtf" />
    
		<Feature Id="ProductFeature" Title="DOIManagerWizard.Setup" Level="1">
			<ComponentGroupRef Id="ProductComponents" />
		</Feature>
	</Product>


	<Fragment>
		<ComponentGroup Id="ProductComponents" Directory="WIZARDSFOLDER">
      <Component Id="WizardComponen" Guid="{88F6281A-7F93-46FF-9065-E5B95C4C7964}" Win64="yes">
        <File Id="File_DoiWizard"
              Source="$(var.SourcePath)\DOIManagerWizard.dll"
              Name="DOIManagerWizard.dll"
              KeyPath="yes"/>
      </Component>
		</ComponentGroup>
	</Fragment>
<!-- Search the path of isntallation from GRIN-Global Curator Tool -->
  <!--
  <Fragment>
    <Property Id="PROPERTY_GRINGLOBALCURATORTOOLPATH">
      <RegistrySearch Id="RegistrySearch_P"
                      Root="HKCU"
                      Key="Software\GRIN-Global\GRIN-Global Curator Tool"
                      Name="pathInstall"
                      Type="directory" />
    </Property>
  </Fragment>
-->
  <Fragment>
    <!-- Create directory by Property search PROPERTY_GRINGLOBALCURATORTOOLPATH -->
    <!-- <PropertyRef Id="PROPERTY_GRINGLOBALCURATORTOOLPATH"/> -->
    <!-- <SetDirectory Id="INSTALLFOLDER" Value="[PROPERTY_GRINGLOBALTEST]"> <![CDATA[PROPERTY_GRINGLOBALCURATORTOOLPATH]]> </SetDirectory>-->
    <Directory Id="TARGETDIR" Name="SourceDir">
      <Directory Id="ProgramFiles64Folder">
        <Directory Id="GRINGLOBALFOLDER" Name="GRIN-Global">
          <Directory Id="INSTALLFOLDER" Name="GRIN-Global Curator Tool">
            <Directory Id="WIZARDSFOLDER" Name="Wizards" />
          </Directory>
        </Directory>
      </Directory>
    </Directory>
  </Fragment>

  <Fragment>
    <!-- UI to get the path find in the property -->
    <!-- <PropertyRef Id="PROPERTY_GRINGLOBALCURATORTOOLPATH"/> -->
    <DirectoryRef Id="INSTALLFOLDER"/>
    <UI Id="UI_installerDir">
      <UIRef Id="WixUI_InstallDir" />
      <Property Id="WIXUI_INSTALLDIR"
                Value="INSTALLFOLDER" />
    </UI>
  </Fragment>
</Wix>
